Subject: bug#4290: 23.1; (elisp)Anonymous Functions - unclear about #'

From: Chong Yidong <[email-masked]>
Date: Fri, 11 Sep 2009 22:02:09 -0400

> This Info node is unclear. It combines pre-Emacs 22 text that
> explicitly says that lambda forms are *not* byte-compiled unless you
> use `#'' or `function', with this statement that says that they are:

>   Nowadays it is possible to omit `function' entirely, like this:
>      (defun double-property (symbol prop)
>        (change-property symbol prop (lambda (x) (* 2 x))))
>   This is because `lambda' itself implies `function'.

Thanks for spotting this.

Hmm---is `function' still useful for anything?